package com.gyee.alarm.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.alarm.model.auto.ProEconEarlyReportAlarm;
import com.gyee.alarm.model.auto.ProEconEarlyReportConclusio;
import com.gyee.alarm.service.auto.IProEconEarlyReportConclusioService;

import com.gyee.alarm.util.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;


@Service
public class EarlyReportConclusionService  {

    @Resource
    private IProEconEarlyReportConclusioService proEconEarlyReportConclusioService;


    public List<ProEconEarlyReportConclusio> getListByPart(List<String> partList)
    {
        List<ProEconEarlyReportConclusio> ls=new ArrayList<>();
        if(StringUtils.notEmp(partList))
        {
            ls=proEconEarlyReportConclusioService.getListByPart(partList);
        }
        return ls;
    }
}
